ESREPORT:(1)

NAME
esreport - Report the content of a video ES

SYNOPSIS
esreport [switches] <infile>

DESCRIPTION

    TS tools version 1.11, esreport built Nov 11 2008 17:15:46

    Report on the content of an elementary stream containing H.264 (MPEG-4/AVC), H.262 (MPEG-2) or AVS video data.

  Files:

<infile>
    is the Elementary Stream file (but see -stdin below)

  What to report:

    The default is to report on H.262 items, AVS frames or H.264 NAL units. Other choices are:

-frames
    Report by frames. The default for AVS.

-findfields
    Report on any fields in the data. Ignored for AVS.

-afd
    Report (just) on AFD changes in H.262. Ignored for the other types of file.

-es Report on ES units.

    Reporting on frames may be modified by:

-framesize
    Report on the sizes of frames (mean, etc.).

-frametype
    Report on the numbers of different type of frame.

    (in fact, both of these imply -frame).

  Other switches:

-verbose, -v
    For H.262 data, output information about the data in each MPEG-2 item. For ES units, output information about the data in each ES unit. Ignored for H.264 data.

-quiet, -q
    Only output summary information (i.e., the number of entities in the file, statistics, etc.)

-x  Show details of each NAL unit as it is read.

-stdin
    Take input from <stdin>, instead of a named file

-max <n>, -m <n>
    Maximum number of NAL units/MPEG-2 items/AVS frames/ES units to read. If -frames, then the program will stop after that many frames. If reading 'frames', MPEG-2 and AVS will also count sequence headers and sequence end.

-pes, -ts
    The input file is TS or PS, to be read via the PES->ES reading mechanisms

-pesreport
    Report on PES headers. Implies -pes and -q.

  Stream type:

    If input is from a file, then the program will look at the start of the file to determine if the stream is H.264, H.262 or AVS data. This process may occasionally come to the wrong conclusion, in which case the user can override the choice using the following switches.

    If input is from standard input (via -stdin), then it is not possible for the program to make its own decision on the input stream type. Instead, it defaults to H.262, and relies on the user indicating if this is wrong.

-h264, -avc
    Force the program to treat the input as MPEG-4/AVC.

-h262
    Force the program to treat the input as MPEG-2.

-avs
    Force the program to treat the input as AVS.

    TS tools version 1.11, esreport built Nov 11 2008 17:15:46

    Report on the content of an elementary stream containing H.264 (MPEG-4/AVC), H.262 (MPEG-2) or AVS video data.

  Files:

<infile>
    is the Elementary Stream file (but see -stdin below)

  What to report:

    The default is to report on H.262 items, AVS frames or H.264 NAL units. Other choices are:

-frames
    Report by frames. The default for AVS.

-findfields
    Report on any fields in the data. Ignored for AVS.

-afd
    Report (just) on AFD changes in H.262. Ignored for the other types of file.

-es Report on ES units.

    Reporting on frames may be modified by:

-framesize
    Report on the sizes of frames (mean, etc.).

-frametype
    Report on the numbers of different type of frame.

    (in fact, both of these imply -frame).

  Other switches:

-verbose, -v
    For H.262 data, output information about the data in each MPEG-2 item. For ES units, output information about the data in each ES unit. Ignored for H.264 data.

-quiet, -q
    Only output summary information (i.e., the number of entities in the file, statistics, etc.)

-x  Show details of each NAL unit as it is read.

-stdin
    Take input from <stdin>, instead of a named file

-max <n>, -m <n>
    Maximum number of NAL units/MPEG-2 items/AVS frames/ES units to read. If -frames, then the program will stop after that many frames. If reading 'frames', MPEG-2 and AVS will also count sequence headers and sequence end.

-pes, -ts
    The input file is TS or PS, to be read via the PES->ES reading mechanisms

-pesreport
    Report on PES headers. Implies -pes and -q.

  Stream type:

    If input is from a file, then the program will look at the start of the file to determine if the stream is H.264, H.262 or AVS data. This process may occasionally come to the wrong conclusion, in which case the user can override the choice using the following switches.

    If input is from standard input (via -stdin), then it is not possible for the program to make its own decision on the input stream type. Instead, it defaults to H.262, and relies on the user indicating if this is wrong.

-h264, -avc
    Force the program to treat the input as MPEG-4/AVC.

-h262
    Force the program to treat the input as MPEG-2.

-avs
    Force the program to treat the input as AVS.

SEE ALSO
The full documentation for esreport is maintained as a Texinfo manual. Please check http://tstools.berlios.de for more information.